Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cayenne.gen
Enum ArtifactsGenerationMode

    java.lang.Object
      java.lang.Enum<ArtifactsGenerationMode>
          org.apache.cayenne.gen.ArtifactsGenerationMode

All Implemented Interfaces:
  Serializable, Comparable<ArtifactsGenerationMode>

    public enum ArtifactsGenerationMode

extends Enum<ArtifactsGenerationMode>

Code generator execution mode for a collection of artifacts.

Since:
  3.0
Author:
  Andrus Adamchik

Enum Constant Summary
`RUN_PER_ARTIFACT`
`SINGLE_RUN`

Method Summary
`String` | `getLabel()`
`static ArtifactsGenerationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArtifactsGenerationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_RUN

    public static final ArtifactsGenerationMode SINGLE_RUN

### RUN_PER_ARTIFACT

    public static final ArtifactsGenerationMode RUN_PER_ARTIFACT

Method Detail

### values

    public static final ArtifactsGenerationMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ArtifactsGenerationMode c : ArtifactsGenerationMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ArtifactsGenerationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getLabel

    public String getLabel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.